//
//  NSError+BitbucketAPI.h
//  BitbucketAPI
//
//  Created by Patrick Dinger on 07.02.13.
//  Copyright (c) 2013 Fournova GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString *const BitbucketAPIErrorDomain;

extern NSString *const BitbucketAPIRequestURLErrorKey;
extern NSString *const BitbucketAPIRequestPathErrorKey;
extern NSString *const BitbucketAPIRequestBodyErrorKey;
extern NSString *const BitbucketAPIRequestHeadersErrorKey;

extern NSString *const BitbucketAPIResponseStatusCodeErrorKey;
extern NSString *const BitbucketAPIResponseHeadersErrorKey;
extern NSString *const BitbucketAPIResponseBodyErrorKey;

extern NSString *const BitbucketAPIErrorMessageErrorKey;
extern NSString *const BitbucketAPIErrorDetailsErrorKey;

enum {
    BitbucketAPIGenericError = 1, // Generic API Error
    BitbucketAPIConnectionError,
    
    BitbucketAPIBadRequestError = 400, // 400
    BitbucketAPIAuthenticationError = 401,  // 401
    BitbucketAPIForbiddenError = 403, // 403
    BitbucketAPINotFoundError = 404, // 404
    BitbucketAPIMethodNotAllowedError = 405, // 405
    BitbucketAPIConflictError = 409, // 409
    BitbucketAPIUnprocessableEntityError = 422, // 422
    BitbucketAPIServerError = 500 // 500
};

@interface NSError (BitbucketAPI)

+ (instancetype)bitbucketAPIErrorWithCode:(NSInteger)code userInfo:(NSDictionary *)userInfo;
+ (instancetype)bitbucketAPIConnectionErrorWithNSURLError:(NSError *)NSURLError userInfo:(NSDictionary *)userInfo;

@end
