//
//  NSFoundationAdditions.h
//  FNFoundation
//
//  Created by Alexander Rinass on 21.03.13.
//  Copyright (c) 2013 Fournova GmbH. All rights reserved.
//

// NSArray

#import "NSArray+FNCommon.h"
#import "NSArray+FNComparing.h"
#import "NSArray+FNJSONTranscoding.h"
#import "NSArray+FNSubsets.h"
#import "NSArray+FNTransforming.h"

// NSBundle

#import "NSBundle+FNCommon.h"

// NSData

#import "NSData+FNBase64Transcoding.h"
#import "NSData+FNBinaryDetection.h"
#import "NSData+FNJSONTranscoding.h"
#import "NSData+FNMD5.h"
#import "NSData+FNRandom.h"
#import "NSData+FNSeparator.h"
#import "NSData+FNStringDecoding.h"

// NSDate

#import "NSDate+FNCommon.h"
#import "NSDate+RFC3339.h"
#import "NSDate+ISO8601.h"
#import "NSDateFormatter+RFC3339.h"
#import "NSDateFormatter+ISO8601.h"

// NSDictionary

#import "NSDictionary+FNCommon.h"
#import "NSDictionary+FNJSONTranscoding.h"
#import "NSDictionary+FNURLEncoding.h"

// NSError

#import "NSError+FNCommon.h"

// NSException

#import "NSException+FNCommon.h"

// NSFileManager

#import "NSFileManager+FNAuthorizedFileOperations.h"
#import "NSFileManager+FNFileTypes.h"
#import "NSFileManager+FNFoundation.h"
#import "NSFileManager+FNStandardDirectories.h"
#import "NSFileManager+FNTemporaryFiles.h"
#import "NSFileManager+FNCreateFinderAlias.h"

// NSIndexPath

#import "NSIndexPath+FNArraySupport.h"

// NSIndexSet

#import "NSIndexSet+FNCommon.h"

// NSInvocation

#import "NSInvocation+FNCommon.h"

// NSMutableArray

#import "NSMutableArray+FNMoving.h"

// NSMutableDictionary

#import "NSMutableDictionary+FNCommon.h"

// NSNumber
#import "NSNumber+FNRandomNumber.h"

// NSObject

#import "NSObject+FNNull.h"
#import "NSObject+FNObjectDescribing.h"
#import "NSObject+FNPerformBlock.h"
#import "NSObject+FNStringsTable.h"

// NSOperation

#import "NSOperation+FNFoundation.h"

// NSOperationQueue

#import "NSOperationQueue+FNFoundation.h"
#import "NSOperationQueue+FNPerformBlock.h"

// NSProcessInfo

#import "NSProcessInfo+FNSystemInfo.h"

// NSString

#import "NSString+FNBase64Transcoding.h"
#import "NSString+FNCamelize.h"
#import "NSString+FNCommon.h"
#import "NSString+FNComparison.h"
#import "NSString+FNStringEncoding.h"
#import "NSString+FNFormat.h"
#import "NSString+HTTPMethods.h"
#import "NSString+FNMD5.h"
#import "NSString+FNQueryParams.h"
#import "NSString+FNRegularExpression.h"
#import "NSString+FNRepetition.h"
#import "NSString+FNSearching.h"
#import "NSString+FNSHA1.h"
#import "NSString+FNStringRepresentations.h"
#import "NSString+FNUniqueIdentifier.h"
#import "NSString+FNURLTranscoding.h"
#import "NSString+FNVersionStringComparator.h"
#import "NSString+FNXMLEntities.h"

// NSThread

#import "NSThread+FNCommon.h"

// NSURL

#import "NSURL+FNCommon.h"
#import "NSURL+FNFinderAlias.h"
#import "NSURL+FNQueryParams.h"
